<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

# функция автоподключения плагина
function editor_ckeditor_autoload($args = array())
{
	mso_hook_add( 'editor_custom', 'editor_ckeditor'); # хук на подключение своего редактора

	mso_hook_add('content_replace_chr10_br', 'editor_ckeditor_br');	
//	mso_hook_add('content_in', 'editor_ckeditor_content_in');
//	mso_hook_add('content_out','editor_ckeditor_content_out');
//	mso_hook_add('comments_content_custom','editor_ckeditor_comments');
}

/*
function editor_ckeditor_content_in($t) {
mso_hook_add('content_auto_tag_custom', 'editor_ckeditor_auto_tag');
mso_hook_add('content_balance_tags_custom','editor_ckeditor_balance_tags');
return $t;
}

function editor_ckeditor_content_out($t) {
mso_remove_hook('content_auto_tag_custom', '');
mso_remove_hook('content_balance_tags_custom','');
return $t;
}

function editor_ckeditor_comments($t) {
$t = mso_hook('content_auto_tag', $t);
$t = mso_hook('content_balance_tags', $t);
return $t;
}
*/

//function editor_ckeditor_auto_tag($t){return $t;}

//function editor_ckeditor_balance_tags($t){return $t;}



function editor_ckeditor_content($content) {
    $content = str_replace("\r", "", $content);
    //$content = preg_replace('|\<brs*\>|', "\n", $content); 
    $content = str_replace('<br>', "\n", $content); 
    //$content = str_replace('<br />', "\n", $content); 
    $content = str_replace("\n\n", "\n", $content); 
    $content = preg_replace('|\[cut\]\s*|', '<div style="page-break-after: always;"><span style="display:none">&nbsp;</span></div>', $content, 1);
    $content = preg_replace('|\[cut\]\s*|', '', $content);
    return $content;
}

function editor_ckeditor_br($content) {
    $content = trim($content);
    $content = str_replace("\r", "", $content);
    $content = str_replace("\n\n", "\n", $content); 

    $content = str_replace('<div style="page-break-after: always;"><span style="display:none">&nbsp;</span></div>', "[cut]\n", $content); 
    //$content = preg_replace('<div style="page-break-after: always;"><span style="display:none">&nbsp;</span></div>', '"[cut]\n"', $content); 
	
    return $content;
}

function editor_ckeditor($args = array())
{
	$editor_config['url'] = getinfo('plugins_url') . 'editor_ckeditor/';
	$editor_config['dir'] = getinfo('plugins_dir') . 'editor_ckeditor/';

	if (isset($args['content'])) $editor_config['content'] = editor_ckeditor_content( $args['content'] );
	else $editor_config['content'] = '';
		
	if (isset($args['do'])) $editor_config['do'] = $args['do'];
		else $editor_config['do'] = '';
		
	if (isset($args['posle'])) $editor_config['posle'] = $args['posle'];
		else $editor_config['posle'] = '';	
		
	if (isset($args['action'])) $editor_config['action'] = ' action="' . $args['action'] . '"';
		else $editor_config['action'] = '';
	
	if (isset($args['height'])) $editor_config['height'] = (int) $args['height'];
	else 
	{
		$editor_config['height'] = (int) mso_get_option('editor_height', 'general', 800);
		if ($editor_config['height'] < 100) $editor_config['height'] = 800;
	}
	require($editor_config['dir'] . 'editor.php');
}
?>