<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
header('Content-type: text/html');

if(isset($_GET['type']))
   $type = $_GET['type'];
else
   $type = '';

$path = $_GET['path'];
if (!is_dir($path) ) // нет каталога
	$path = getinfo('uploads_dir');

if(isset($_GET['path_url']))
  $path_url = $_GET['path_url'];
else
  $path_url = '';
if (($path_url)=='' ) 
    $path_url = getinfo('uploads__url');

$CKfuncNum = $_GET['CKEditorFuncNum'];
if (($CKfuncNum)=='' ) 
    $CKfuncNum = 0;
?>
<html>
<head>
    <title>Finder</title>

<script type='text/javascript'>
var mso_CKEditor = (window.parent && window.parent.CKEDITOR)
    ? window.parent.CKEDITOR.tools.callFunction
    : ((window.opener && window.opener.CKEDITOR)
        ? window.opener.CKEDITOR.tools.callFunction
        : false);
</script>

<script type="text/javascript">
function OnCompleted(i_url)
{
    if (mso_CKEditor)
	mso_CKEditor(<?php echo $CKfuncNum ?>, i_url, '');
    else
	alert(i_url);
	
    window.close();
}
</script>
</head>

<body>

<?php
$CI = & get_instance();
$CI->load->helper('file'); // хелпер для работы с файлами
$CI->load->helper('directory');

$files = directory_map($path, true);
if (!$files) {
  echo '<p>No files</p>';
  return '';
}
sort($files);

$f_count = 0;
echo '<div style="-moz-column-count: 4; -moz-column-gap: 10px; -webkit-column-count: 4; -webkit-column-gap: 10px; column-count: 4; column-gap: 10px;" ><ul>';

// функция directory_map возвращает не только файлы, но и подкаталоги
// нам нужно оставить только файлы. Делаем это в цикле
foreach ($files as $file) {
    if (is_dir($path . $file)) continue; // это каталог - уходим

    $ext = strtolower(str_replace('.', '', strrchr($file, '.'))); // расширение файла
    if ( $type=='Images'  and $ext != 'jpg' and $ext != 'jpeg' and $ext != 'gif' and $ext != 'png'  ) continue; // запрещенный тип файла

	// описания файлов хранятся в виде серилизованного массива в
	// uploads/_mso_i/_mso_descritions.dat
	$fn_mso_descritions = $path . '_mso_i/_mso_descriptions.dat';
	if (file_exists( $fn_mso_descritions )) 
	{
		// массив данных: fn => описание )
		$mso_descritions = unserialize( read_file($fn_mso_descritions) ); // получим из файла все описания
	}
	else 
	    $mso_descritions = array();
	$title = false;
	if (isset($mso_descritions[$file]))
	{
		$title = $mso_descritions[$file];
		if ($title) 
		    $title_f = '[<em>' . htmlspecialchars($title) . '</em>]';
	}

	$cod = '<li style="margin: 5px; padding: 5px; list-style-type: none;" align="center" ><p style="background-color: #ddd;">';
	if ($title) 
		$cod .= stripslashes( '<a href="#" onClick = "OnCompleted(\''.$path_url.'/'.$file.'\');">'.$title_f.'</a><br />');

	//Если картинка - делаем ссылку превьюшкой, иначе именем файла.
	if ( $ext == 'jpg' or $ext == 'jpeg' or $ext == 'gif' or $ext == 'png'  ) 
	{
		// проверим есть ли миниатюра
		if (file_exists($path . 'mini/' . $file)) {
		    $mini = 'mini/';
		     $size = '';
		}
		else {
		     $mini = '';
		     $size = ' width="100" height="100"';
		}
		$cod .= stripslashes( '<a href="#" onClick = "OnCompleted(\''.$path_url.'/'.$file.'\');"><img style="margin: 10px;" src="'.$path_url.$mini.$file.'" alt="'.$file.'" ' .$size.' ></a>');
	}
	else 
	{
		$cod .= stripslashes( '<a href="#" onClick = "OnCompleted(\''.$path_url.'/'.$file.'\');"><img style="margin: 10px;" class="file_img" src="'. getinfo('plugins_url') .'editor_ckeditor/document_plain.png"  alt="'.$file.'" ></a>');
	}
	$cod .= stripslashes( '<br /><a href="#" onClick = "OnCompleted(\''.$path_url.'/'.$file.'\');">'.$file.'</a>');

	$cod .= '</p><br /></li>';
        echo $cod;
        $f_count++;
}
echo '</ul></div>';
if ($f_count==0) 
    echo '<p>No files</p>';

?>
</body>
</html>
    
